{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}
<p>
<a href="/1.0/metrics">prometheus metrics</a>
</p>
<h2> Threads </h2>
<table>
  <tr>
    <th>name</th>
    <th>status</th>
    <th>mirror</th>
    <th>job_id</th>
  </tr>
{% for thread in threads %}
<tr>
  <td>{{ thread.0 }}</td>
  <td>{{ thread.1|thread_status|safe }}</td>
  {% if let Some(status) = thread.2 %}
  <td><a href="/jobs/{{ status.0 }}">{{status.0}}</a></td>
  <td><a href="/job/{{ status.1 }}">{{status.1}}</a></td>
  {% else %}
  <td></td>
  <td></td>
  {% endif %}
<tr>
{% endfor %}
</table>
{% endblock %}
